GNU bug report logs - #36858
27.0.50; display bugs with display-fill-column-indicator-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Davor Rotim <rotim.davor@HIDDEN>; dated Tue, 30 Jul 2019 18:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 7 Aug 2019 19:46:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 15:46:38 2019
Received: from localhost ([127.0.0.1]:39456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvRtO-0001ns-Bv
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:46:38 -0400
Received: from sonic313-21.consmr.mail.ir2.yahoo.com ([77.238.179.188]:36880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1hvRtM-0001nd-FK
 for 36858 <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:46:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1565207189; bh=lC4vFUZND9sfq8WMly83IlaKcIk8jsbW5/MEFfd4W70=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=LDCCQtLpf0xjmrc05E1PrQfyM3l+zRyX5PkVUCF/wCiOyIKwBZmlOgVdRuugTvtK+ef10ScJ4R/Qz2X0xmeoXB4bz/1gxnQ4f23jKeR4Dd9NBX0zJm9PDdeR9qYTNU3qzvbrfuwsnp9MGV4lfdpspvzVuaU78lxcl7pCqqvyGDjTl/B7pmHJKevSZyNFCMRLox5Qr6ZuEG95fxTUo+BTeBVG7F/c2CdttAVVYVNtprWfY++ImNMwCvLxrAA3uvdXHkW+j9PLQ/xToijF1q04TWUOZz5UwTrAQnnMMwZqfQKBcdjS+35SIwg9VjBAqFvhLUxl0zYdT4Je4/oTXnfTgw==
X-YMail-OSG: aW2aA7MVM1m4JdF2XBmBZEjcDNXoaIsVnvwFc9ajW3ecjd3QmRG_x7o.IGb3fb4
 0KqrrHFjeyMvh4qBlYjoI40PrMWxO8LckapNoJ4Oa2H1RSyRttRCSLfmquzO2_iSLlmuWU65r4eh
 WBIck2_lRJwtDHIM8ZThY.3ewlM_XkVYLMln44Q8Vn2jO9fWy0zOcLkzhuneJu8r_0fdFaOlf2KL
 RjySbT7Il7_P82ORDnAUCzGAwV.OKphWTEMk5hghr5qdht.SHJ6H8FrBJFX72aATQmwoLDiAZIvp
 9vS7ehjL9BJyFMzgCsuAQ0.YvxiIVscTTl965p_CJD6FqybZL1bEoQjSeXjPy5vvxGiFxT0vgEW6
 QzmA4qgX7NS6JTTO5sqwXx_lmoRoSmpwkAXivLFOgk9NRY7cUu.XdtlmVDIUYNisyHL3HdWQ6Hsq
 AoxGhsXJP9h9e3dAoBk2Cnmzpw9C9KyPLtGa7RpDZhF9jg1baiN8zgBIVEnAh.l6z3SVnEED745E
 0yn7_K03Cc3IV5bBrxNqHyg7aLa56jjuGOj03ktlf.kMTDH7DWGoUPqxbLJ6yJnN5tVVMZ5u6nTY
 Y32V6ovx__KUWjnaKykJU8B_VltsIu80sq4BFCsfM2YFNOIjlRZXXDaAQOkditARzSPriN9QCiSh
 s3dfst2CVeB568kZZYa4ec2HHqnZilsmnMn3ydNvr.q0Hvu.9NuhGNldWD0rZMsurZ8QDjS0svPr
 rRmTEf4jE9kh7dryJkpMmmB7zo5kwZ4ZMJg4xbHUveQa2QJBSEtqg4xzYgJxjFAa7Oe.yRnsOAix
 6Mt3QcWoFjU5KSeXIE21lPwe_Um9PoqruNTGg8Gsa9OAC3ob98unBrMD7Rv57N5vI.CYjmymdbZq
 MAb1ctvbrr2PTHMPBNIRMBz6dY8wKfkhLFl9_8d1oZFhvlPuZ4iFEOPp4wrTH1jT6hXNcYIjkcaT
 guLsi4aZ_o.MfSPDMDjxwKiArm9goiiJR5m7oQxriabjmvHJGixEyvGdlAsHxj_wQXvhynP6hbRg
 npoXTPzpmFRAhfP_PthhLTyt3j.uouRKkXoSx6iMh0o_5kstsr.5YZL3n.PURhdLNCv3VdWsoood
 oZDrUU6bAx2RZUIfknqcUehT8JL9Wzd96xdDgbFbyHemTr9cyHzbLiojhG5ukVFdWRUbW6POC9sI
 bsro3WY3Rcny0oXlU8CpRwAVx9Dldrg8JooS95tR9f2q20NuIxXd9W3nK335B0IEdFDr4aQ--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ir2.yahoo.com with HTTP; Wed, 7 Aug 2019 19:46:29 +0000
Received: by smtp416.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 5440ac17a1c0f57cd52171d272f30e95; 
 Wed, 07 Aug 2019 19:46:25 +0000 (UTC)
Date: Wed, 7 Aug 2019 21:46:21 +0200
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
Message-ID: <20190807194621.6ankodv7hclbvmdz@Ergus>
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN> <20190805152747.4vyzejqoiy33l4ou@Ergus>
 <83tvatavmh.fsf@HIDDEN> <20190807162033.hpphf2pbfo4p6vam@Ergus>
 <83h86taq4v.fsf@HIDDEN> <20190807170654.b6wsccs3b2acduff@Ergus>
 <83ef1wc2ae.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <83ef1wc2ae.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Aug 07, 2019 at 08:29:13PM +0300, Eli Zaretskii wrote:
>> This issue is already fixed with the other condition I mentioned:
>>
>> IT_CHARPOS (*it) < ZV
>>
>> But ends_at_zv_p this also need to be fixed because there are some tests
>> inside extend_face_to_end_of_line that compare with ends_at_zv_p. In the
>> worst case we need to remove these comparisons.
>
>Not sure I understand why the comparisons need to be removed.  Can you
>elaborate?
>

>> But ideally the flag must be set before right?
>
>In a buffer showing only buffer text (no after-strings at EOB), all
>the glyph rows starting from the one showing EOB have their
>ends_at_zv_p flag set.

Hi:

In my tests inside extend_face_to_end_of_line the flag ends_at_zv_p is
always false. And for the last line (where it is supposed to be true)
the function extend_face_to_end_of_line is not called at all. So
actually all the code like:

	      if (it->glyph_row->ends_at_zv_p)
		it->face_id = default_face->id;
	      else
		it->face_id = face->id;

does nothing now.

We should fix this in order to create an indicator also for the last
line.

I think that the problem is in the condition:

if (!get_next_display_element (it)) inside display_line that filters the
call to  extend_face_to_end_of_line with:

if (row->reversed_p
    || lookup_basic_face (it->w, it->f, DEFAULT_FACE_ID) !=
    DEFAULT_FACE_ID)
      extend_face_to_end_of_line (it);

And needs to be extended probably with with:

|| (!row_text_area_empty (row))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 7 Aug 2019 17:29:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 13:29:31 2019
Received: from localhost ([127.0.0.1]:39312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvPkg-0003uY-MZ
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 13:29:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hvPke-0003uI-OC
 for 36858 <at> debbugs.gnu.org; Wed, 07 Aug 2019 13:29:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48861)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hvPkZ-0006Nq-Hp; Wed, 07 Aug 2019 13:29:23 -0400
Received: from [176.228.60.248] (port=4883 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hvPkY-00007i-WB; Wed, 07 Aug 2019 13:29:23 -0400
Date: Wed, 07 Aug 2019 20:29:13 +0300
Message-Id: <83ef1wc2ae.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ergus <spacibba@HIDDEN>
In-reply-to: <20190807170654.b6wsccs3b2acduff@Ergus> (message from Ergus on
 Wed, 7 Aug 2019 19:06:54 +0200)
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN> <20190805152747.4vyzejqoiy33l4ou@Ergus>
 <83tvatavmh.fsf@HIDDEN> <20190807162033.hpphf2pbfo4p6vam@Ergus>
 <83h86taq4v.fsf@HIDDEN> <20190807170654.b6wsccs3b2acduff@Ergus>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 7 Aug 2019 19:06:54 +0200
> From: Ergus <spacibba@HIDDEN>
> Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
> 
> >(There's no need to make any changes for that, you can simply invoke
> >dump-glyph-row or dump-glyph-matrix.)
> >
> How is it?

Just invoke these functions, they dump the glyph row's contents,
including the ends_at_zv_p, to stderr.

> This issue is already fixed with the other condition I mentioned:
> 
> IT_CHARPOS (*it) < ZV
> 
> But ends_at_zv_p this also need to be fixed because there are some tests
> inside extend_face_to_end_of_line that compare with ends_at_zv_p. In the
> worst case we need to remove these comparisons.

Not sure I understand why the comparisons need to be removed.  Can you
elaborate?

> But ideally the flag must be set before right?

In a buffer showing only buffer text (no after-strings at EOB), all
the glyph rows starting from the one showing EOB have their
ends_at_zv_p flag set.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 7 Aug 2019 17:07:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 13:07:08 2019
Received: from localhost ([127.0.0.1]:39306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvPP1-0003J3-M9
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 13:07:07 -0400
Received: from sonic302-21.consmr.mail.ir2.yahoo.com ([87.248.110.84]:45432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1hvPOy-0003IE-VY
 for 36858 <at> debbugs.gnu.org; Wed, 07 Aug 2019 13:07:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1565197619; bh=L0YnJhgR0stAVmlFbKq9clc3RSHTIzaZiKoZlFTprug=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=e2EmJljwTe14DyiuYe3NS5nTexlzK9zjOudQW5OrCfy1d5Gn65ZrHreWeK9S6s3c31ZR31o728G6aways+VpGP+1gS7G/rNYyMl5yZE+g63hHkfDo27OFhSePWnUGgq141Kj0w8cZyjaR0XtWOC12IzPdOkJJEZDuaeXDThY6k4Odet1GGuDzXdahTcqDmP3qluoucseagqFFaRMB3C38ep3H6a0GxaeRWc6m//9d14/qjVIeCbTtRcbW1XeMcmLMpeQUgD6PsT07IhB/R6AhFu+lD31gzoqqrFzjnyI9xG5ZLxILzBbywHwmc73DnObYd2ISGNXXrriIlod7PkrGQ==
X-YMail-OSG: IKQhQSMVM1nwvEhTppU0OLla_EqIHd5jjcdMzuA4jpvr7eZAMepSKXEuJTCS2Wb
 Cm1_0QiQ25ZhYgqe0pUbPAlYBiY7mdHx0YsPDd_u.AZ_ehQSZH0gBvpdS9WJ1bTzPrjgww6WcDtv
 oW58LjfVlfMXkQQkmvcJsFXod6pO1.rUQmLDEfuAisG9y0FKzjEaZINT1X96dSD9aNTyxUEWsrC6
 WOAgm2toX5mZKssdGa33XQqDCIFyPOhRCzxWjr9g2pEiUdAwPxL683fRzGr.TmJ7HM2Yr5q9MVDn
 8lMiGS1rzbgwfVjRetMHCgsnD66xOvoNe5gI2aM4ZfC7vWoLJUHxuchCsa0W.ULvAhs7sTcZUCfy
 cVzzXjECU3RVvCuERf7NGosku7OR2XFmR4NNyVM45uwbla5r6pAAzJq0gmsgWxVtbf0oIP69d7a.
 aYeOXo5AKcBjII9yO76VSZyeh5_fBobCrGBXFQXCf..OcbOS_i.kKL.0pOPZtUQZana2fFoI5F0f
 8vc6xAOfAnB7cf9O9HV2iY3UqvIxqfre6uFJM3tzJrYt9.__q7fQgHd5diXLbDlr6GeLJvChEFGr
 7p79mbUG5w__KkfK4YBxIkvNApLa6wNVja7Z2k0ddC0YPj31FXA4yydweNFQuh7jLzjB0z7NrW8g
 8Dq8TdW4XdoeHximEudoHE.W2dTnDB.HHVAjKf5a9Gyfi9WC.UglU0aQxYgSyHgz_CRAqWrAhkwv
 R85M8HbUV5ABaqDUFIR.9CnVvSMRDvlZ_CyFAbVBlx_Fka_2KcU.gZPWIKZLpB1wHKbdZ.xLNhuG
 _CBIxFC7LdR.fRVDBOqGGPnM4_Zmwr8ikT9v5Ywe4BZX1DRcj36Z.kyn2qValkXit.H66s3TJkWs
 nXKtfnSSWk_zlkKl._KEmQhpTbVxWfyYWbR5ncwH0_iV6gPryiP8Z_xGrg2Df3d_9W8m7c3ghcSL
 9vE0Zj9eHlDcbSrIu4AqXu9ABrrpK4WSdFaOo.Eg5RJ9oxJetqj3Mrvx8ujfiBsbnN0GN1dpfIgw
 ynEq0_ZpDHyJ0JokTJqcgypdgsBNCqQhECXGm.d.QtDleP5ghWmwtiQ_XsxZave2HPq91NotdyyY
 0EV_kPJGqLfbLAcQ3WRO0vwJ_oHtAt4rE7xKsNPHzOSsQ.iErAovCRz9c.v6n08Vg0H7b70zHsi2
 r86hAPuBZ2YBryv.WsNSdl2xf59ggEBQo7HonDCpmRcm1wzHYPWi1YVpQxomyLQ5sV2K5yjgCAIn
 TPRu9GdOXq2Tb15cyWlxB
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ir2.yahoo.com with HTTP; Wed, 7 Aug 2019 17:06:59 +0000
Received: by smtp411.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 17f8bc8ce326669011fa25e2a6377b66; 
 Wed, 07 Aug 2019 17:06:57 +0000 (UTC)
Date: Wed, 7 Aug 2019 19:06:54 +0200
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
Message-ID: <20190807170654.b6wsccs3b2acduff@Ergus>
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN> <20190805152747.4vyzejqoiy33l4ou@Ergus>
 <83tvatavmh.fsf@HIDDEN> <20190807162033.hpphf2pbfo4p6vam@Ergus>
 <83h86taq4v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <83h86taq4v.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Aug 07, 2019 at 07:37:04PM +0300, Eli Zaretskii wrote:
>> Date: Wed, 7 Aug 2019 18:20:33 +0200
>> From: Ergus <spacibba@HIDDEN>
>> Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
>>
>> in this code (in xdisp.c):
>>
>> if (it->current_x < indicator_column_x)
>>   {
>>     it->face_id = merge_faces (it->w, Qextend_to_end_of_line,
>>                                0, extend_face_merged_id);
>>
>>     it->char_to_display = XFIXNAT (Vdisplay_fill_column_indicator_character);
>>     PRODUCE_GLYPHS (it);
>>
>>     it->face_id = extend_face_merged_id;
>> }
>>
>> I changed char_to_display:
>>
>> it->char_to_display = (it->glyph_row->ends_at_zv_p) ? '1' : '0';
>
>(There's no need to make any changes for that, you can simply invoke
>dump-glyph-row or dump-glyph-matrix.)
>
How is it?
>
>> And then I obtained the attached image.
>
>Right, I forgot where in the code we set that flag, and display of an
>after-string at EOB indeed happens before that.
>

This issue is already fixed with the other condition I mentioned:

IT_CHARPOS (*it) < ZV

But ends_at_zv_p this also need to be fixed because there are some tests
inside extend_face_to_end_of_line that compare with ends_at_zv_p. In the
worst case we need to remove these comparisons.

But ideally the flag must be set before right?

I think that there is another condition somewhere else that does not
call extend_face_to_end_of_line for the last line, probably due to the
same issue.

>But since Dmitry says the case of Company mode doesn't need to be
>fixed, I think this is a moot point now.  We should only solve the
>issue with attributes being extended all the way towards the indicator
>column.
>
Yes, I agree that we need to fix this first.

>Thanks.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 7 Aug 2019 16:37:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 12:37:23 2019
Received: from localhost ([127.0.0.1]:39288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvOwF-0002PF-F7
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 12:37:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hvOwD-0002P2-5k
 for 36858 <at> debbugs.gnu.org; Wed, 07 Aug 2019 12:37:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47903)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hvOw8-0005CD-00; Wed, 07 Aug 2019 12:37:16 -0400
Received: from [176.228.60.248] (port=1728 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hvOw6-0005DY-TA; Wed, 07 Aug 2019 12:37:15 -0400
Date: Wed, 07 Aug 2019 19:37:04 +0300
Message-Id: <83h86taq4v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ergus <spacibba@HIDDEN>
In-reply-to: <20190807162033.hpphf2pbfo4p6vam@Ergus> (message from Ergus on
 Wed, 7 Aug 2019 18:20:33 +0200)
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN> <20190805152747.4vyzejqoiy33l4ou@Ergus>
 <83tvatavmh.fsf@HIDDEN> <20190807162033.hpphf2pbfo4p6vam@Ergus>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 7 Aug 2019 18:20:33 +0200
> From: Ergus <spacibba@HIDDEN>
> Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
> 
> in this code (in xdisp.c):
> 
> if (it->current_x < indicator_column_x)
>   {
>     it->face_id = merge_faces (it->w, Qextend_to_end_of_line,
>                                0, extend_face_merged_id);
> 
>     it->char_to_display = XFIXNAT (Vdisplay_fill_column_indicator_character);
>     PRODUCE_GLYPHS (it);
> 
>     it->face_id = extend_face_merged_id;
> }
> 
> I changed char_to_display:
> 
> it->char_to_display = (it->glyph_row->ends_at_zv_p) ? '1' : '0';

(There's no need to make any changes for that, you can simply invoke
dump-glyph-row or dump-glyph-matrix.)

> And then I obtained the attached image.

Right, I forgot where in the code we set that flag, and display of an
after-string at EOB indeed happens before that.

But since Dmitry says the case of Company mode doesn't need to be
fixed, I think this is a moot point now.  We should only solve the
issue with attributes being extended all the way towards the indicator
column.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 7 Aug 2019 16:20:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 12:20:45 2019
Received: from localhost ([127.0.0.1]:39278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvOg8-0001xn-RO
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 12:20:45 -0400
Received: from sonic303-20.consmr.mail.ir2.yahoo.com ([77.238.178.201]:42326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1hvOg7-0001xY-9c
 for 36858 <at> debbugs.gnu.org; Wed, 07 Aug 2019 12:20:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1565194837; bh=zQ1P7SHjNLh56PZnUioh9IYDkd4HnHuxUX/1Gmp9Xh0=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=Ykq5pI8cgBoTiFrjVQ9hw55q0Wb7YpC8LoCP8Fszjwajvm5GAZ2s7ednNmkTMCVLvCrg/CGvZJbxwTBO3YL3IjT8A7eijMegdI46/Yy3yzZnEPjODbo20tUXsH4uiAuQl48f8sCgSb5JPlkpfzOO8t5KBx/gigkPTZtF0Fk9hxrITf0uH/GziNwwyMQ1aB2w1jwUPCrUCQ5fjIDlZ0VFY3Zasw1/hbbBWMuU3QsH0A4u6TX3GAyvv8rMK94kd2jujLEZrhXHMGmyMV7J+05Ca1giB94t9NCYTFodgNX+NC1W2X5UdWvB7r7FL2CC/bLM7KIPck6VzUZQrBayXR1ZlQ==
X-YMail-OSG: JUrmJhsVM1lUTZ_8H28FslquTGFQqXwz4JwEhXCOujWGEO.0Uk1es0bq31Xsqqk
 8aTpQzBhQIvABG2ro65O3wQ0Wuh9Es.56LxjkW6hb7wNJgXWZtoswTtwLqINYUMN.Fjb2i7CHeKG
 SA5rsauLGzXxcNTIKRzUFICWd4GLOtdNuA_XNtCN1drunygkXz2F8ODOgwzBniwCi4Pf71zGCnjh
 Micsli9hM_CltLsK2gU9lTvBcEl_9nSYog_YQcShjzroGtE.Ij7uC2U5EsbUTkM1UNHeedvL410c
 7ssaoIeBDDcaARrJ1GSkhszfcw5iVTuXdn3nYeRSjxI3CceDWlgUNiMw0_NkjUUzhUg3Wh5usYYh
 hh28tsDxAZpHaXWbbzZbVrtGoj7fzlp8S2BflthbPj3tNdcyXLMoLejndcUCsb8A3NzjPHypEGo5
 nYqS.Yrn1e0djb1TBpb3puh2KPN0RbhvBCUcdswZgd5ZNquAwZzqDwSraCVFOwCbyrTQTr88Anez
 Yd5qsg8v0bPuGJuUcQOBiMuLcl0aMRNVj40IqNAKJ6S3vLNAGQsAZrH.eACQbroCnEBGom2fMz0w
 v_TB38REbH1vgAI01w0pd1CrRDbrOmODWtsnIp8Yn6CtzAlgyWka07ju2wxNxGDktLoh1rmufeUR
 OFqUONwRcrKES9mpnFxEvOWy.zNbO_qoyjxZndWVMtPXrBsIJkinYa0hEQ_BTJ0Xp9bzx5FZv8zu
 SUFbI9bdiJ4m5BGCUKRxDRTu4WDq739esHAlr64CqG_Wi6qEyEKHN95ikPhgdEEAo6yJ_4GUkkwv
 yOYv_c8M84F2Mqunm9Ehut5DzFpbslp48zgUeCuYsoXoxhCrWVrlNrUqH3HzIG.kQcrV_TPsfVtC
 oKgqVfTmjWSF2fLsfaxAYO9rFVL4H9Cp3Vvtf9W00CMF0xYu3SaPL24.s6YC5cb..KckUn929U7V
 .c9BNtj3uIog_q9M3RVVGv.ImgXCxz9HAkcMd.iEvuPX_Rlqhnov_uh4Otm1tJSITGaSopUruGhw
 DEkYwsmQiDUKAzv4a9uBUu.PElQpa.QfbLVMoF74.gx21gt5YUDiGU5ZAh6LWbrrfa84CIibQ18U
 pc9qa.Sinq60KMPGASxl5XVAF65hILQ6HrOEAGhejpmpInsan_tjvgrfbVQGgkquSuptvG60GiZB
 SGwc6gRsi4IC4HfAKvmHIWnG3XDBtAQ.uli932XtgtCFHQW4Sd88ulvUl3fosHv2MXhirOPwS1GT
 5f24-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ir2.yahoo.com with HTTP; Wed, 7 Aug 2019 16:20:37 +0000
Received: by smtp427.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 45d712692afa99a2170666831e3bfe24; 
 Wed, 07 Aug 2019 16:20:36 +0000 (UTC)
Date: Wed, 7 Aug 2019 18:20:33 +0200
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
Message-ID: <20190807162033.hpphf2pbfo4p6vam@Ergus>
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN> <20190805152747.4vyzejqoiy33l4ou@Ergus>
 <83tvatavmh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="wjax6rc3szr63pja"
Content-Disposition: inline
In-Reply-To: <83tvatavmh.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--wjax6rc3szr63pja
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline

On Wed, Aug 07, 2019 at 05:38:30PM +0300, Eli Zaretskii wrote:
>> Date: Mon, 5 Aug 2019 17:27:47 +0200
>> From: Ergus <spacibba@HIDDEN>
>> Cc: 36858 <at> debbugs.gnu.org, Davor Rotim <rotim.davor@HIDDEN>
>>
>> 1) The condition ends_at_zv_p didn't work as expected, I don't know If
>> this is an issue somewhere else, but at least in my tests, the condition
>> was always false. (for all the lines implied before and after ZV, where
>> there was company window or not)
>>
>> So the filter condition I am using now is:
>>
>> IT_CHARPOS (*it) < ZV
>>
>> which seems to work fine.
>>
>> 2) There is a corner case because the indicator is never generated for
>> the latest line in the buffer. So a \n is required always at the end of
>> the buffer if there is text, which for me is fine (unix format), but I
>> don't know if I should correct that, should I?
>
>Unix format has nothing to do with this, as in a buffer we always have
>only \n characters at end of line.  But notr having the indicator show
>in the last line of a buffer that doesn't end in a newline is
>unfortunate.  Which is why I suggested to test the ends_at_zv_p flag.
>What exactly didn't work with it?  Can you show me a test case where
>the glyph rows past ZV don't have this flag set?  Maybe you should
>test the enabled_p flag as well?
>
Hi Eli:

I just made this test:

in this code (in xdisp.c):

if (it->current_x < indicator_column_x)
  {
    it->face_id = merge_faces (it->w, Qextend_to_end_of_line,
                               0, extend_face_merged_id);

    it->char_to_display = XFIXNAT (Vdisplay_fill_column_indicator_character);
    PRODUCE_GLYPHS (it);

    it->face_id = extend_face_merged_id;
}

I changed char_to_display:

it->char_to_display = (it->glyph_row->ends_at_zv_p) ? '1' : '0';

And then I obtained the attached image.

As you can see the condition returns 0 for lines before zv, for the last
text line and for the company extra lines.

>> In terminal emacs, in the original emacs-26 code, in the function:
>> extend_face_to_end_of_line the code was:
>>
>> ```
>>  face = FACE_FROM_ID (f, (it->face_before_selective_p
>> 			   ? it->saved_face_id
>> 			   : it->face_id));
>>  (...)
>>
>>  if (it->glyph_row->ends_at_zv_p)
>>      it->face_id = default_face->id;
>>  else
>>      it->face_id = face->id;
>>  PRODUCE_GLYPHS (it);
>>
>>  while (it->current_x <= it->last_visible_x)
>>      PRODUCE_GLYPHS (it);
>> ```
>>
>> So the rest of the line was filled with the last face, (so this issue was
>> already there since then, because the rest of the line is filled with an
>> underlined face)
>>
>> I can change the code to fill the rest of the line with a new merged
>> face (as I do for graphical emacs), but I think that this fix is
>> unrelated with dfci, so maybe someone else must give a look before to
>> prevent me breaking anything.
>
>This is a more general issue, and I will respond to your question on
>emacs-devel.
>
>Thanks.

--wjax6rc3szr63pja
Content-Type: image/png
Content-Disposition: attachment; filename="Screenshot_2019-08-07_18-10-20.png"
Content-Transfer-Encoding: base64
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--wjax6rc3szr63pja--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 7 Aug 2019 14:38:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 10:38:48 2019
Received: from localhost ([127.0.0.1]:39193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvN5U-0003gO-8q
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 10:38:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hvN5S-0003gB-Sd
 for 36858 <at> debbugs.gnu.org; Wed, 07 Aug 2019 10:38:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45698)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hvN5N-0008QE-MZ; Wed, 07 Aug 2019 10:38:41 -0400
Received: from [176.228.60.248] (port=2149 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hvN5N-0003Nr-1C; Wed, 07 Aug 2019 10:38:41 -0400
Date: Wed, 07 Aug 2019 17:38:30 +0300
Message-Id: <83tvatavmh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ergus <spacibba@HIDDEN>
In-reply-to: <20190805152747.4vyzejqoiy33l4ou@Ergus> (message from Ergus on
 Mon, 5 Aug 2019 17:27:47 +0200)
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN> <20190805152747.4vyzejqoiy33l4ou@Ergus>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 5 Aug 2019 17:27:47 +0200
> From: Ergus <spacibba@HIDDEN>
> Cc: 36858 <at> debbugs.gnu.org, Davor Rotim <rotim.davor@HIDDEN>
> 
> 1) The condition ends_at_zv_p didn't work as expected, I don't know If
> this is an issue somewhere else, but at least in my tests, the condition
> was always false. (for all the lines implied before and after ZV, where
> there was company window or not)
> 
> So the filter condition I am using now is:
> 
> IT_CHARPOS (*it) < ZV
> 
> which seems to work fine.
> 
> 2) There is a corner case because the indicator is never generated for
> the latest line in the buffer. So a \n is required always at the end of
> the buffer if there is text, which for me is fine (unix format), but I
> don't know if I should correct that, should I?

Unix format has nothing to do with this, as in a buffer we always have
only \n characters at end of line.  But notr having the indicator show
in the last line of a buffer that doesn't end in a newline is
unfortunate.  Which is why I suggested to test the ends_at_zv_p flag.
What exactly didn't work with it?  Can you show me a test case where
the glyph rows past ZV don't have this flag set?  Maybe you should
test the enabled_p flag as well?

> In terminal emacs, in the original emacs-26 code, in the function:
> extend_face_to_end_of_line the code was:
> 
> ```
>  face = FACE_FROM_ID (f, (it->face_before_selective_p
> 			   ? it->saved_face_id
> 			   : it->face_id));
>  (...)
> 
>  if (it->glyph_row->ends_at_zv_p)
>      it->face_id = default_face->id;
>  else
>      it->face_id = face->id;
>  PRODUCE_GLYPHS (it);
> 
>  while (it->current_x <= it->last_visible_x)
>      PRODUCE_GLYPHS (it);
> ```
> 
> So the rest of the line was filled with the last face, (so this issue was
> already there since then, because the rest of the line is filled with an
> underlined face)
> 
> I can change the code to fill the rest of the line with a new merged
> face (as I do for graphical emacs), but I think that this fix is
> unrelated with dfci, so maybe someone else must give a look before to
> prevent me breaking anything.

This is a more general issue, and I will respond to your question on
emacs-devel.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 6 Aug 2019 10:44:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 06:44:44 2019
Received: from localhost ([127.0.0.1]:36527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huwxQ-0002VB-Lu
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 06:44:44 -0400
Received: from mail-lf1-f54.google.com ([209.85.167.54]:38826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1huwxO-0002Ut-7M
 for 36858 <at> debbugs.gnu.org; Tue, 06 Aug 2019 06:44:42 -0400
Received: by mail-lf1-f54.google.com with SMTP id h28so60638111lfj.5
 for <36858 <at> debbugs.gnu.org>; Tue, 06 Aug 2019 03:44:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=S+qusQ9+GGvcQEHDRJP2duqZzfh2R8YM1Fvl4jUTjeU=;
 b=Wip1fOWNZ/BPRAcA8n7agYayg5OEvo9O3Voq8TlAtj3buMwqjmp9RHeGTPdz+pUpLR
 +PA/g6IaEuPWabrTefhGDZ51yl7ziJDnWFYh4bf4aX7WJlChlndjhdUIwV6B+3PwZtXH
 FwWFHVKp9+p4fUFy04LzGXV2TZxVWgX0UEcu4Zk6Y41bOZAmDDXUHHb5Vz3LeDCeV3Mt
 ymdyy2PFjISxksMVo+FWka9uFS3VvxzPLMYw5JzrrPlh4o7b/z2DmP4JW0GDtXTGwMIw
 kM7Wyi9pNQISHLxDRNuLu9cZPRmG6scRsHoZmB2ZHbpTyyxSKEjLeDK5gCs/DbiXBzHK
 97Jw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=S+qusQ9+GGvcQEHDRJP2duqZzfh2R8YM1Fvl4jUTjeU=;
 b=XRho/WmqZcg80fUfYsQWTfv8D2h2CRFY+3g6dRWj92GpgAqBQg0ENaMOpWNAS9McUB
 eaKyRrRq8bQkZrQvvm4PvB4eGsRTTwgFk6hQhGgTRoEvRR8WBzW7RPEz45WPLkAgQYbL
 zLMUoag7X9nG94txd6R57LzBGrwFJ51KwjyfpbDb2+U1oboSGLPWWxWFCEPRldrwkESL
 phtfFXA8tCILnnWp18wc0Gq4UODeyn2c/v2WK41SbUl8ZVUlHB+fO+M0msNOQN+skhxM
 bt72BC+oyUZppTk6bgFEkbsh+7PxvE6D3VltNLrwLOwGalQxcN989/seTiGsimAjZ/pf
 K2ug==
X-Gm-Message-State: APjAAAX7sivg99myfXKYnZ4Z2ujCjM/1+7RoTiGeArcAgXAjbmiT66/c
 GnmSnQ5vLbnrE3QaByOohz4gVglzeX4=
X-Google-Smtp-Source: APXvYqxe+5VjulicB9ALMw8gV3/OcVH0HdMLZ3H+DJ2lXI4raaA60MmEPT3RDmPXGGcLhie/XsgjMQ==
X-Received: by 2002:ac2:484f:: with SMTP id 15mr1964682lfy.51.1565088275781;
 Tue, 06 Aug 2019 03:44:35 -0700 (PDT)
Received: from [192.168.1.142] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id k4sm17651901ljg.59.2019.08.06.03.44.34
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 06 Aug 2019 03:44:34 -0700 (PDT)
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
To: Davor Rotim <rotim.davor@HIDDEN>, 36858 <at> debbugs.gnu.org
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <13713612-cecc-56d6-d471-c13f55b620bd@HIDDEN>
Date: Tue, 6 Aug 2019 13:44:24 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 7/30/19 9:11 PM, Davor Rotim wrote: > Second case is with
 `company-mode' when there's no text entered and the > completion dialog pops
 up which display-fill-column-indicator-mode > treats like ordi [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dgutov[at]yandex.ru)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.54 listed in list.dnswl.org]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: 36858
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

On 7/30/19 9:11 PM, Davor Rotim wrote:
> Second case is with `company-mode' when there's no text entered and the 
> completion dialog pops up which display-fill-column-indicator-mode 
> treats like ordinary text.

I'm not sure we could/should change something here.

The company popup renderer makes it seem like the buffer spans longer 
than it does. I think it's okay, and it might not be the place of the 
display engine to second-guess it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 5 Aug 2019 23:54:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 19:54:23 2019
Received: from localhost ([127.0.0.1]:36033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1humo3-0002XI-Ew
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 19:54:23 -0400
Received: from sonic302-21.consmr.mail.ir2.yahoo.com ([87.248.110.84]:40345)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1humo0-0002X1-Sc
 for 36858 <at> debbugs.gnu.org; Mon, 05 Aug 2019 19:54:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1565049254; bh=Runkl71W4kB9wW3/WV8hLrxngEFIP0GRqO6yM1Xnogk=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=XjG0rG9Uzwf7l7HxkDCOBz2uBPtj0YkoCDBXPuYWT6mjetw4iQlayMevUsA6D+AYW9FIr3TwFzjrvpQEMeFkOZfwHRtTxPPnRUn5GF1tQhgknmCUrOWl2s8H4wIF2s9yDwWFSBxMbX91Me/T5XSsDjBCBKwF9uhy3aCYotBmmZ8gLUg4HBRjTTqycMBtxmrj30G+PJzc+5Yqmtxbp2J5AkrvS7lb8TT7aqkRuLZ34R414O0Uh+MmjrbHTa8P2AfM1Qwheva2YYcdgkWT3AFsiJlmJm859y46yIq6dTvaMNcevn9wj9+aZmk0qUr2a2cwV4jYbNB+J0pYiCCe8UxyWQ==
X-YMail-OSG: A3AzwykVM1m92.6EzWCekkMv78CZ96qbVEt.KEBOriJLLifJSC7nShgTd.g2y6u
 xU9MENaWG3HTwgJ89AVYMUbcqlpo6dYyejcyHKgGnZN.6L4g22uIRUMKR2Mm6adVQhqBbOXVwHO0
 5s5fB.jbGKeo1qfvnGkPgFJXYmfHgntjSxdruEFST9HiVXstOt77_J_UXNN0QRvC9RidGLf_FvwE
 _52UWoVsMVA6Izk37.mQLPrTuzteA1oK2VwfBBW4mhQeUAIBtWZ.7amjMRtmqmDH5WhZNIW7O0iX
 vhqA9a2yfOEQfkNDDwcs9PlDTs_SKMK1fZZ0P0rGUYA3lJd1YVSmyxZGEUZbcDDOT3paOQJwY6d0
 xvJj0RQYmnjAoiYBTdih9ZvwYEq6xfEM8D0LcIY6D0UPzYmHpaivATKkGUFc_za_c3.y8d8uZA0G
 ti0bbBXQ3rbDgQkps9twmXPFuw2w5vAiZV4e4dnYnFWcA9gwPbkAZ00949Svq0_jEK09JtmtDU3k
 5_OCMij2q5XDB3ZtlmRvViH2jtApaYkpRK_ijSA_81pp9i1Dey3b6LqYSiqMxiRCRhByzGUsLhYY
 pvoJo19NcAh2YEgUPbZjpqAcNrpkVYUSeXBRRRlMeC8sRnFsjk7V4M7GgDT3EZPZW.pf72N7Y5O_
 rQm7Iwk34eXt_rhfwpphxb91Kah_qC07dbeY8JATxu.OHBqUxJL1EMxTtVubc_PNVTp96SlgTMSQ
 ohvE_JsIvuWFM1VS1Q1EsiH3tRT8Sa2MBnToxUkJaxZK5b0Ydwvgyv0Fp2qjhogs0ZrtW7cZnGsW
 sXaWmn090jZ93gmfUvr44aOGRI7NwPDbo87K6vuRc.e_w5yIB4801am9sp.zB7PHZ4N2cohFx5jF
 tk6jfOUr5mFFxFtY3EkahuLitHKSGa.Gvf3Q2ldpKtif20qz3XpQpGcMFySzkC_md5qmcRDdhOel
 rvPbw5gdgS9dgjtnNWztuGP2Y22FtMLOAzB.1eFSVO4Ccy4RReq_mhvtGGgmQRz70.znKeQrWfhD
 W4LwRogzhtPwcFbN0PyJoZK7mdtBBWDXM.71U14jxLl9ZgxkzLVVWGokYPVsdfbyC6NREF_XEts6
 81rhVO2fZkMi_6kjkpy3KimtlC3OT4bpZzfCFQsvND.I08fXw6j4tod7VBUt2CZU.eVZrTE9H9NF
 eUBvuvcWhHGg52pgXOedLImi_Hj_hu0bwLNjwEXQKjzuVfG_rPFpfiD9g3LGLfu6t_UXTzcBPlv0
 9LwgVc3ogk6.Z8yvTbI2l
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ir2.yahoo.com with HTTP; Mon, 5 Aug 2019 23:54:14 +0000
Received: by smtp413.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 0cc062197d54bb9635704e20252a3533; 
 Mon, 05 Aug 2019 23:54:10 +0000 (UTC)
Date: Tue, 6 Aug 2019 01:54:05 +0200
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
Message-ID: <20190805235403.o4lvxzbggm3cnk6n@Ergus>
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN>
 <9C122236-898E-4D49-A117-CDF062360224@HIDDEN>
 <83r263g4w5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <83r263g4w5.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Eli:

There are two different behaviors for tui and gui in
extend_face_to_end_of_line.

In gui the face is automatically extended.  It is unclear for me what
face it is using, because this has to do with the issue that in X the
last character is extended automatically, so no loop or stretch_glyph is
needed. But it seems to be using the default face because the underline
is not extend after the text and the space for the cursor.

ON the other hand, for the tui there is

      if (it->glyph_row->ends_at_zv_p)
	it->face_id = default_face->id;
      else
	it->face_id = face->id;

which extends the face using the face of the last glyph. this extends
the underline until the end of the row; but it is different to the gui
behavior, so it is incoherent.

Whats the right behavior in the general case?

Extend the underline the whole line or fit it to the text?

If it is the second whats the right face to fill until the end of the
row

Does the same policy applies to append_space_for_newline? Because now
there is an extra underlined space after the text.

I am just waiting for your recommendation in order to submit a fix for
this issue.

Thanks in advance

Esgus.


On Fri, Aug 02, 2019 at 02:53:30PM +0300, Eli Zaretskii wrote:
>> Date: Fri, 02 Aug 2019 12:25:15 +0200
>> CC: 36858 <at> debbugs.gnu.org,Davor Rotim <rotim.davor@HIDDEN>
>> From: Ergus <spacibba@HIDDEN>
>>
>> I will give a look the next week.
>
>Thanks.
>
>> The org mode issue seems more or less easy to fix.
>>
>> But for the company-mode I need to check if there is a condition to distinguish normal text from the company
>> popups. From the display engine. Else we could consider to extend the line always until the end of the
>> screen... If that is possible...
>
>The glyph rows generated by Company should all have their ends_at_zv_p
>flag set in this use case, AFAIR.  Maybe this will help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 5 Aug 2019 15:28:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 11:28:05 2019
Received: from localhost ([127.0.0.1]:35690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hueu5-0006ZC-0D
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:28:05 -0400
Received: from sonic313-20.consmr.mail.ir2.yahoo.com ([77.238.179.187]:33628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1hueu3-0006Yh-B6
 for 36858 <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:28:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1565018876; bh=wONGOe+vLLt4HFmCNrhQEvWiTNsCO3Bv6AXOV+mJacI=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=PMbne296elrX4J7keDJo0af+CSHjmKzhgig4aHePjm94EVZNm5udtiHGMomhhjHAzE2iSlDoQ1lmOuErnH3O+2ukb3UrvMEbr4ZWLg0aDFwzzgS3pxkdR/iNUWmAnuoHBMMLWeZ7ryA+zgOEM1v6rzN64TbViy2VWXXBK5FpSylHJERyzRQkM8gBkQL1Rm5aMH2SFpZ6xreXsvPePtvMVuGfy3HoAEVQU3iiEcsS3xTFaVaC1WN1knCNAYOtuMdWmtoDRsXFDeEb3GbOCvOxy8Q4CUX1GZ7KwGEVWgT+G8VKFKXQ57gcPDLNsgxAnGdGJKits/2b9AoE6lRS9B4ttA==
X-YMail-OSG: 1mF2kWgVM1kDwLwuPCWz5Q2onIrpKguNmSbXwpfgND06ThIhjpWdKFZVHKCeYdv
 jvNF9Q0.piv.IMbZvpdm3qIy0vPvqC09uEgG0_2VBpSyZ74aGsGnWDp2tuoj0bPLQvrnSKen4LKO
 1Km3hzWpN62d6x0_rkKLjuB5pNPh.OFXP.myOJTXTWNeWQ2J9rGk6xMarZ_aNb4y9wdDxn5HH_xQ
 9LMrfZvTr3NtFaDwYZt4Sc.9GLKuL0jv0YlbzvpOgjHXssY2YR810H5Zec14_dFL4dCPql6pWXwj
 NlsVANUG9fX94sHw61aNs5fvpOwuYoqadFMxfLnxBtB4lI2hlDEOZo0QxeqH4N5Oz1RjrV8FQ0L9
 9Dwc6c6HUt6ENPmmdt4O0zGoiJLzn0eqEnX.PG5K0ICWu5hYS4jTMughnQISfr4ejTBkMZ77NGaO
 g3AOlRO25qOJ2DPIaC10l8ri1SRxDIaGYmj46UIxFcIR7SFZhfwhbYN0G1pUdQT7_UtyeA6vJjwK
 .H_XjpqlkUvFimkQYQisYabjlru9O3ec62XrPUS_a0km3rP3ThBF3hc5Qdzd4A4i8yMML.TVv9TR
 _4Ime6WcYcDDodnwj6PxwOJ.Adm8kI.U5TTwlmXrYh8av880N9XbSkgcJammDAQr84DCt0eOhs1m
 .nYF5GrI8Zh8Wz7Ne.fQVDcxxN8MVawdCXvHT5BY6fRr99emqEitctBkC5X0PET_DeY2KL8JGtYX
 z5WPhM.Q1P7H.lkQ6n7OQac_3Qu2jv0sLZ.j3mk8bs.dptoUDpA7By52Z3P7d6vWVlK0rdCYlxnG
 upDLL04wXW_wV2F2A6WkXvyDDYHvAHm_UNt9FQIAwq4ycoErXC4fcl4j652KlMUOxpOPQX9II4Sh
 9vOsPuVBuWQbx7L_kZUUOpqnXz8ulZjMnrw6o5D0Clv3XW_urtU2WmebUIZATKzsCLdp68hrpXEv
 lTOavA5aoTUTx9rT2XeFpgiizNRS5qi_6nymWH8lckD.NR_9mVaJ86oygy9_.8_UWwHQCwJDjBIb
 rB82HNn97ebUnfh4l_PO7_jGXiBnGWEnKwM5thoSkw2iDRgWqbG_0LBWAUKz3eKivjIUlPkPWCYC
 6BG9XsLCz.k7X_oH3WaFoWvrVtGFYp4O6px8HpUf_M3dbTyIH882c9OWGIo25dI.Wk5goZWYcYUn
 l_hYF1qHVqm02vdTY8gFD3XsCLOd71OaaIINwvnrdJ07eZZGJaobQG1CNCd4g6_LqUYzHJL3EUwA
 -
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ir2.yahoo.com with HTTP; Mon, 5 Aug 2019 15:27:56 +0000
Received: by smtp418.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 78c06029e83300665b45ff788132d266; 
 Mon, 05 Aug 2019 15:27:52 +0000 (UTC)
Date: Mon, 5 Aug 2019 17:27:47 +0200
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36858: 27.0.50; display bugs with
 display-fill-column-indicator-mode
Message-ID: <20190805152747.4vyzejqoiy33l4ou@Ergus>
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <83wofwexkr.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, Davor Rotim <rotim.davor@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Eli:

I have been looking into this issue and I already fixed both, but I have
a doubt and two comments.

Comment:

1) The condition ends_at_zv_p didn't work as expected, I don't know If
this is an issue somewhere else, but at least in my tests, the condition
was always false. (for all the lines implied before and after ZV, where
there was company window or not)

So the filter condition I am using now is:

IT_CHARPOS (*it) < ZV

which seems to work fine.

2) There is a corner case because the indicator is never generated for
the latest line in the buffer. So a \n is required always at the end of
the buffer if there is text, which for me is fine (unix format), but I
don't know if I should correct that, should I? This issue was there
before this latest changes, so it is unrelated and it is not really so
significant I think.

Doubt:

In terminal emacs, in the original emacs-26 code, in the function:
extend_face_to_end_of_line the code was:

```
 face = FACE_FROM_ID (f, (it->face_before_selective_p
			   ? it->saved_face_id
			   : it->face_id));
 (...)

 if (it->glyph_row->ends_at_zv_p)
     it->face_id = default_face->id;
 else
     it->face_id = face->id;
 PRODUCE_GLYPHS (it);

 while (it->current_x <= it->last_visible_x)
     PRODUCE_GLYPHS (it);
```

So the rest of the line was filled with the last face, (so this issue was
already there since then, because the rest of the line is filled with an
underlined face)

I can change the code to fill the rest of the line with a new merged
face (as I do for graphical emacs), but I think that this fix is
unrelated with dfci, so maybe someone else must give a look before to
prevent me breaking anything.

Which face is the right one to use to fill the rest of the row in the
general case?

For my case I use:
    merge_faces (it->w, Qfill_column_indicator, 0, saved_face_id)

because Qfill_column_indicator face has explicitly set underline and
overline (and some other properties) to false; But maybe we need an
extra face with same properties?

What do you suggest?


On Fri, Aug 02, 2019 at 12:16:52PM +0300, Eli Zaretskii wrote:
>> From: Davor Rotim <rotim.davor@HIDDEN>
>> Date: Tue, 30 Jul 2019 20:11:04 +0200
>>
>> Hello, in the attached images are two cases I noticed where `display-fill-column-indicator-mode' causes
>> display bugs. First case is with faces that use the :overline or :underline property, the lines will extend fully
>> towards the indicator. Second case is with `company-mode' when there's no text entered and the completion
>> dialog pops up which display-fill-column-indicator-mode treats like ordinary text.
>
>Jimmy, could you please take a look at these two issues?
>
>Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 2 Aug 2019 11:53:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 07:53:43 2019
Received: from localhost ([127.0.0.1]:55927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htW7y-0001ck-QL
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 07:53:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1htW7w-0001cX-P7
 for 36858 <at> debbugs.gnu.org; Fri, 02 Aug 2019 07:53:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36285)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htW7r-0006Ru-IW; Fri, 02 Aug 2019 07:53:35 -0400
Received: from [176.228.60.248] (port=1558 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htW7q-0004Qe-WA; Fri, 02 Aug 2019 07:53:35 -0400
Date: Fri, 02 Aug 2019 14:53:30 +0300
Message-Id: <83r263g4w5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ergus <spacibba@HIDDEN>
In-reply-to: <9C122236-898E-4D49-A117-CDF062360224@HIDDEN> (message from
 Ergus on Fri, 02 Aug 2019 12:25:15 +0200)
Subject: Re: bug#36858: 27.0.50;
 display bugs with display-fill-column-indicator-mode
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN> <9C122236-898E-4D49-A117-CDF062360224@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, rotim.davor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 02 Aug 2019 12:25:15 +0200
> CC: 36858 <at> debbugs.gnu.org,Davor Rotim <rotim.davor@HIDDEN>
> From: Ergus <spacibba@HIDDEN>
> 
> I will give a look the next week. 

Thanks.

> The org mode issue seems more or less easy to fix. 
> 
> But for the company-mode I need to check if there is a condition to distinguish normal text from the company
> popups. From the display engine. Else we could consider to extend the line always until the end of the
> screen... If that is possible...

The glyph rows generated by Company should all have their ends_at_zv_p
flag set in this use case, AFAIR.  Maybe this will help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 2 Aug 2019 10:27:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 06:27:53 2019
Received: from localhost ([127.0.0.1]:55819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htUmt-0001ax-GP
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 06:27:52 -0400
Received: from sonic310-37.consmr.mail.ir2.yahoo.com ([77.238.177.58]:46194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1htUmq-0001ae-Pq
 for 36858 <at> debbugs.gnu.org; Fri, 02 Aug 2019 06:27:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1564741662; bh=QlXcf160z3LMdRAjT23EPcI6xPC0JFq+hTQorFctiPs=;
 h=Date:In-Reply-To:References:Subject:To:From:From:Subject;
 b=mLFUfja11xp2vo9//ptTjkKzhzx6MoaahuTdrqiGZUUWn24863CqPzVh7kgbl7V9nHEBwt9QNVVj8mY5YjgGMp0ogrYgMJQenZR0RdSIbVlfAbFJs9nm2o5v6qSloKf5+BJvhqtNqEnwzgwVldAudDmzar4T07DR+4zYGfIm4y7LFrPtdilTKPXlYpEuyJpeSfNhkKb5JElUUJuam3qOFhpTs2xROQYceK5QZSer2V0ERRudxWTGEKf8++Rzcl+lBoT+ct+Z5DQEaaJN+pG5n+5pSXPeRDj/DWYOqjeTQPHZS2Ax3f9QttynUeLuq8QLXiTxCXp1khPWW8uKEGfkuw==
X-YMail-OSG: yijlPw8VM1nIUZvIsemxUpn3vcphooi223stFNzLeYxmk9ubsND7vXP.PiGxov.
 tJKUEtMOOGCDNdjRqM.NEfWxmBzTBeQSKrydSbh26WYvLk_UpFyblqO2b8KjpM1A1G4Shjgp0fBg
 6B.6HtBciwelenXewd7PGPiVSc8j3ge3WGSxQJvDcAWibdWsnt80HBE5B.kHDl9b8FDMpYhzeQYi
 Ys7FJ2CiVFu2NqUVJfROyv9i7QSCG8O4jz0Faw.ky61QxoGD2TcXr1g_8nRfg.upw9crwejmaJKA
 X_ukGoYb6V0vZEp77biebfR3q_3kjWC4V0Qc30b9DjUBGE39zUvaaFBZ0XqS71JTGRdTsLGoBR2J
 y2udhCHC_D2KFpas9d_neB4.KrkD.4meRWCth.RGggHVthJaJ0muvGDhaFw5FRG8BK7wNHXYLfCe
 tSwvtzE3icpIi04XLzyoQAvKhW4dF.18bQhZFo51aT7wDNkw_zgBmkkOeepzk2YoCry77oYC37ld
 nlVxPv5M3Br5Qfn6qaJzeNbEKMQfkD5pIyWGDOXGt9ssCc.O8Oecggvja8Z4XaULAoZW8Tnk1r.p
 YdZGc8ylS2z2zh3GoI3Dm9btLMFf0sepJsGK.rTNRcOdZLbbDUk4OpvdQLRYQXu14WCIfkMcZS1l
 ZRmkuSLLFJnKgk4k3cMUTVYsxkxbpb885tVt77jQ_H1WXtpW6eCEfQvKP9W.RbnFX7IaYPAJUFkG
 nel3wFpUeJ_Vg8i9efULHRcVYcNXtOUVTfh1YFT5Ci2ktOx4zjpxO3_LPmbj.v8T8DT9hRkVgGOM
 MNLV8hzDNjL1xZ6MXnD_asleNkbChFqHEBluLjDxPnDH19ZQEjU2VviaFsOS_FKuiuGhDKTVZ3tZ
 x2GMHJDBqnG8ldIpB6fWhqg_g3CT228XbrS1bMybtaObhPpBhOIHnbzxdBpFjj78Szqe81Uc4..T
 V35w9Nsj8SLfWPygaiWKZRx5zf4c4JBJphOebKrqRzwsgt1nx1EE6pNjusKwYPkX1UFaycZSKsHB
 PYL0ntmyijYAfTUOyYvtwu9_nXeqGRf3x1wL989xGYXvVC_lFf4csERJXbK.V2a0LtxNhhjlySl9
 oaKaUgBk1vApc.1Fj8dku68ewyID5M0SurV2axOcLjWF755SjON77sEjZ.fEU1Z22GE6JJUr6nZY
 byukblPyU2LEBu1Hwd3e5tPpHJOH7.31c9HyinkdMVs8j1SJnnhQ08HfBYmVew1c63Ka9VeHfZRk
 QP2T9PWLhe0_sy0rCVB8AVugmEvG9v7G7yMeidSsWZwNcq1EQhRPlFLiH0NSu6Mkm0yhtHa189Na
 SPy_2KoHn
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ir2.yahoo.com with HTTP; Fri, 2 Aug 2019 10:27:42 +0000
Received: by smtp415.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 9ed6fa3c7d0e7dafc4c5b34e86f66012; 
 Fri, 02 Aug 2019 10:25:41 +0000 (UTC)
Date: Fri, 02 Aug 2019 12:25:15 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <83wofwexkr.fsf@HIDDEN>
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 <83wofwexkr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----BFP0R1KRUUY428987665XE3TOON3WK"
Content-Transfer-Encoding: 7bit
Subject: Re: bug#36858: 27.0.50;
 display bugs with display-fill-column-indicator-mode
To: Eli Zaretskii <eliz@HIDDEN>
From: Ergus <spacibba@HIDDEN>
Message-ID: <9C122236-898E-4D49-A117-CDF062360224@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, Davor Rotim <rotim.davor@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------BFP0R1KRUUY428987665XE3TOON3WK
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Eli:

I will give a look the next week=2E=20

The org mode issue seems more or less easy to fix=2E=20

But for the company-mode I need to check if there is a condition to distin=
guish normal text from the company popups=2E From the display engine=2E Els=
e we could consider to extend the line always until the end of the screen=
=2E=2E=2E If that is possible=2E=2E=2E

On August 2, 2019 11:16:52 AM GMT+02:00, Eli Zaretskii <eliz@gnu=2Eorg> wr=
ote:
>> From: Davor Rotim <rotim=2Edavor@gmail=2Ecom>
>> Date: Tue, 30 Jul 2019 20:11:04 +0200
>>=20
>> Hello, in the attached images are two cases I noticed where
>`display-fill-column-indicator-mode' causes
>> display bugs=2E First case is with faces that use the :overline or
>:underline property, the lines will extend fully
>> towards the indicator=2E Second case is with `company-mode' when
>there's no text entered and the completion
>> dialog pops up which display-fill-column-indicator-mode treats like
>ordinary text=2E
>
>Jimmy, could you please take a look at these two issues?
>
>Thanks=2E

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E
------BFP0R1KRUUY428987665XE3TOON3WK
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>Hi Eli:<br><br>I will give a look the next week=2E=
 <br><br>The org mode issue seems more or less easy to fix=2E <br><br>But f=
or the company-mode I need to check if there is a condition to distinguish =
normal text from the company popups=2E From the display engine=2E Else we c=
ould consider to extend the line always until the end of the screen=2E=2E=
=2E If that is possible=2E=2E=2E<br><br><div class=3D"gmail_quote">On Augus=
t 2, 2019 11:16:52 AM GMT+02:00, Eli Zaretskii &lt;eliz@gnu=2Eorg&gt; wrote=
:<blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; bo=
rder-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail"><blockquote class=3D"gmail_quote" style=3D"margin: 0=
pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;">Fro=
m: Davor Rotim &lt;rotim=2Edavor@gmail=2Ecom&gt;<br>Date: Tue, 30 Jul 2019 =
20:11:04 +0200<br><br>Hello, in the attached images are two cases I noticed=
 where `display-fill-column-indicator-mode' causes<br>display bugs=2E First=
 case is with faces that use the :overline or :underline property, the line=
s will extend fully<br>towards the indicator=2E Second case is with `compan=
y-mode' when there's no text entered and the completion<br>dialog pops up w=
hich display-fill-column-indicator-mode treats like ordinary text=2E<br></b=
lockquote><br>Jimmy, could you please take a look at these two issues?<br><=
br>Thanks=2E<br></pre></blockquote></div><br>-- <br>Sent from my Android de=
vice with K-9 Mail=2E Please excuse my brevity=2E</body></html>
------BFP0R1KRUUY428987665XE3TOON3WK--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at 36858 <at> debbugs.gnu.org:


Received: (at 36858) by debbugs.gnu.org; 2 Aug 2019 09:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 05:17:07 2019
Received: from localhost ([127.0.0.1]:55777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htTgR-0008Gl-HC
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 05:17:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1htTgO-0008GC-R5
 for 36858 <at> debbugs.gnu.org; Fri, 02 Aug 2019 05:17:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53747)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htTgJ-0001bP-O1; Fri, 02 Aug 2019 05:16:59 -0400
Received: from [176.228.60.248] (port=3973 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htTgJ-0002Vy-58; Fri, 02 Aug 2019 05:16:59 -0400
Date: Fri, 02 Aug 2019 12:16:52 +0300
Message-Id: <83wofwexkr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ergus <spacibba@HIDDEN>
In-reply-to: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
 (message from Davor Rotim on Tue, 30 Jul 2019 20:11:04 +0200)
Subject: Re: bug#36858: 27.0.50;
 display bugs with display-fill-column-indicator-mode
References: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36858
Cc: 36858 <at> debbugs.gnu.org, Davor Rotim <rotim.davor@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Davor Rotim <rotim.davor@HIDDEN>
> Date: Tue, 30 Jul 2019 20:11:04 +0200
> 
> Hello, in the attached images are two cases I noticed where `display-fill-column-indicator-mode' causes
> display bugs. First case is with faces that use the :overline or :underline property, the lines will extend fully
> towards the indicator. Second case is with `company-mode' when there's no text entered and the completion
> dialog pops up which display-fill-column-indicator-mode treats like ordinary text.

Jimmy, could you please take a look at these two issues?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2019 18:11:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 14:11:23 2019
Received: from localhost ([127.0.0.1]:51156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsWap-0006qt-GD
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 14:11:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:48030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rotim.davor@HIDDEN>) id 1hsWao-0006ql-7k
 for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 14:11:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42467)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <rotim.davor@HIDDEN>) id 1hsWan-0007Ja-0X
 for bug-gnu-emacs@HIDDEN; Tue, 30 Jul 2019 14:11:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rotim.davor@HIDDEN>) id 1hsWal-0004Z0-JS
 for bug-gnu-emacs@HIDDEN; Tue, 30 Jul 2019 14:11:20 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:34279)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rotim.davor@HIDDEN>)
 id 1hsWak-0004Xt-N9
 for bug-gnu-emacs@HIDDEN; Tue, 30 Jul 2019 14:11:19 -0400
Received: by mail-wr1-x42d.google.com with SMTP id 31so66823081wrm.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 30 Jul 2019 11:11:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=j8PpKjvjBKz/tL0zK+3p2+9JbpX65eLFFdOotlashvs=;
 b=h8N+OwnP0MUAJxv1+Wd5vX30gO7/bHGg4EldE7NSs+FS9ZVd3O8f/NzTa4YfVFdGZr
 Vor3DOFxiznHQdSGcQ0w3nURmS4+JQT88gPglh3Y++RFEC058cFdvwBQlFQPDPV3jS/4
 jMiHRXm6HUCHW39DctU4A0K/IrJzR+654gQOwueXZLJ7ncp7Ah1S4EtiuhyDDRyrvc/T
 kMQF4162YfdMnHDwGXc1DkKYGvEIk+Iw6vJNAvnUSCEswmUzmcvfbv2cZDuyAaIpOf7p
 +OghUEArox8QRG0Pybbdpu7QHw3jHqLnVzEBAts8mXcxOIeZ8WefYFuI8W8voD2WS/Te
 Pbbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=j8PpKjvjBKz/tL0zK+3p2+9JbpX65eLFFdOotlashvs=;
 b=YnJFP0AF0H6nmi1HwnUybdfTgV/8Zv2L9x/tjzulF+ZoGL2GWw6JsLtszn6D7DALPh
 4IHwnicc9GeNZR1NGPycTyNcbmglcmtWsmQUeBfHl8814hHH4Z1RlP6oZf9inz9xzWSg
 r0KbxiYto/ZLn5KVh6rVLFNOVwVA/BfD9CHtST0Wqu0jTsVFeE1eYxIy8OMRi2V4WMQ1
 f/VWtKMKTZ5AWRRzQCC/VsPrq+Sm2rGOIEjLpUer1GTJzS5sdrBizT6i5TKA+QpM94u0
 BIFCjedqzuwWCPy0d7fNqpgroruLHpdv+Ql69Lf72mFLkz1hr/d/9K0o94ub1Pkfb6Ne
 ntBg==
X-Gm-Message-State: APjAAAXMoIgYHM2ngPQUjqumAq6aVMEx4CHlOFGIW6fx3EskoEwiHx8f
 LEvkHzm2JR2Brzm2VJ8P3kL9y0zs9vH2dKyyG2Ag3mcL
X-Google-Smtp-Source: APXvYqyl4Oss8BZw9lpFv4B1eFHKtXLJUpwW8b6pYBwjVczBR6yj4H/jcDxGk0iQV8/KCK0G5bNcRIIGWuByIuNkdGs=
X-Received: by 2002:adf:f851:: with SMTP id d17mr129606540wrq.77.1564510275972; 
 Tue, 30 Jul 2019 11:11:15 -0700 (PDT)
MIME-Version: 1.0
From: Davor Rotim <rotim.davor@HIDDEN>
Date: Tue, 30 Jul 2019 20:11:04 +0200
Message-ID: <CAMWA6ANTAsSz4ckRGSTuVRCHJKZMDEd1SsBaJetW3bWRjPTRNQ@HIDDEN>
Subject: 27.0.50; display bugs with display-fill-column-indicator-mode
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000401e57058ee9efe7"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42d
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--000000000000401e57058ee9efe7
Content-Type: multipart/alternative; boundary="000000000000401e54058ee9efe5"

--000000000000401e54058ee9efe5
Content-Type: text/plain; charset="UTF-8"

Hello, in the attached images are two cases I noticed where
`display-fill-column-indicator-mode' causes display bugs. First case is
with faces that use the :overline or :underline property, the lines will
extend fully towards the indicator. Second case is with `company-mode' when
there's no text entered and the completion dialog pops up which
display-fill-column-indicator-mode treats like ordinary text.

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.10,
cairo version 1.16.0)
 of 2019-07-30 built on lambda
Repository revision: 99156a03bfee8304cf2644470dceb668e6262c98
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux bullseye/sid

Configured using:
 'configure 'CFLAGS=-march=native -O2 -pipe -fstack-protector-strong
 -fno-plt' --prefix=/home/drot/.local
 '--program-transform-name=s/^ctags$/ctags.emacs/' --with-cairo
 --with-modules --enable-link-time-optimization --disable-gcc-warnings'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2 GMP

--000000000000401e54058ee9efe5
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hello, in the attached images are two cases I noticed=
 where `display-fill-column-indicator-mode&#39; causes display bugs. First =
case is with faces that use the :overline or :underline property, the lines=
 will extend fully towards the indicator. Second case is with `company-mode=
&#39; when there&#39;s no text entered and the completion dialog pops up wh=
ich display-fill-column-indicator-mode treats like ordinary text.<br></div>=
<div><br></div><div>In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK=
+ Version 3.24.10, cairo version 1.16.0)</div>=C2=A0of 2019-07-30 built on =
lambda<br>Repository revision: 99156a03bfee8304cf2644470dceb668e6262c98<br>=
Repository branch: master<br>Windowing system distributor &#39;The X.Org Fo=
undation&#39;, version 11.0.12004000<br><div>System Description: Debian GNU=
/Linux bullseye/sid</div><div><br></div><div>Configured using:<br>=C2=A0&#3=
9;configure &#39;CFLAGS=3D-march=3Dnative -O2 -pipe -fstack-protector-stron=
g<br>=C2=A0-fno-plt&#39; --prefix=3D/home/drot/.local<br>=C2=A0&#39;--progr=
am-transform-name=3Ds/^ctags$/ctags.emacs/&#39; --with-cairo<br>=C2=A0--wit=
h-modules --enable-link-time-optimization --disable-gcc-warnings&#39;<br><b=
r>Configured features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS G=
SETTINGS GLIB NOTIFY<br>INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARF=
BUZZ M17N_FLT LIBOTF<br>ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES =
THREADS LIBSYSTEMD<br>JSON PDUMPER LCMS2 GMP</div></div>

--000000000000401e54058ee9efe5--

--000000000000401e57058ee9efe7
Content-Type: image/png; name="company.png"
Content-Disposition: attachment; filename="company.png"
Content-Transfer-Encoding: base64
Content-ID: <f_jyq4q6xt0>
X-Attachment-Id: f_jyq4q6xt0
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--000000000000401e57058ee9efe7
Content-Type: image/png; name="org-mode-disabled.png"
Content-Disposition: attachment; filename="org-mode-disabled.png"
Content-Transfer-Encoding: base64
Content-ID: <f_jyq4q6yi1>
X-Attachment-Id: f_jyq4q6yi1
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--000000000000401e57058ee9efe7
Content-Type: image/png; name="org-mode-enabled.png"
Content-Disposition: attachment; filename="org-mode-enabled.png"
Content-Transfer-Encoding: base64
Content-ID: <f_jyq4q6yx2>
X-Attachment-Id: f_jyq4q6yx2
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--000000000000401e57058ee9efe7--




Acknowledgement sent to Davor Rotim <rotim.davor@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36858; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Aug 2019 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.